Package org.springframework.cache.jcache.config

# Class AbstractJCacheConfiguration

java.lang.Object
org.springframework.cache.annotation.AbstractCachingConfiguration
org.springframework.cache.jcache.config.AbstractJCacheConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.annotation.ImportAware`

Direct Known Subclasses:
  `ProxyJCacheConfiguration`

@Configuration(proxyBeanMethods=false) public abstract class AbstractJCacheConfiguration extends org.springframework.cache.annotation.AbstractCachingConfiguration
Abstract JSR-107 specific `@Configuration` class providing common structure for enabling JSR-107 annotation-driven cache management capability.

Since:
  4.1
Author:
  Stephane Nicoll, Juergen Hoeller
See Also:
  - `JCacheConfigurer`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`org.springframework.cache.annotation.AbstractCachingConfiguration.CachingConfigurerSupplier`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Supplier<org.springframework.cache.interceptor.CacheResolver>`
`exceptionCacheResolver`

### Fields inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`cacheManager, cacheResolver, enableCaching, errorHandler, keyGenerator`

## Constructor Summary

Constructors
Constructor
Description
`AbstractJCacheConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`JCacheOperationSource`
`cacheOperationSource()`
`protected void`
`useCachingConfigurer(org.springframework.cache.annotation.AbstractCachingConfiguration.CachingConfigurerSupplier cachingConfigurerSupplier)`

### Methods inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`setImportMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### exceptionCacheResolver

@Nullable protected Supplier<org.springframework.cache.interceptor.CacheResolver> exceptionCacheResolver

## Constructor Details

### AbstractJCacheConfiguration

public AbstractJCacheConfiguration()

## Method Details

### useCachingConfigurer

protected void useCachingConfigurer(org.springframework.cache.annotation.AbstractCachingConfiguration.CachingConfigurerSupplier cachingConfigurerSupplier)

Overrides:
  `useCachingConfigurer` in class `org.springframework.cache.annotation.AbstractCachingConfiguration`

### cacheOperationSource

@Bean(name="jCacheOperationSource") @Role(2) public JCacheOperationSource cacheOperationSource()